Subject: bug#39708: nfs-service-type broken: rpc.mountd respawns too quickly

From: Ludovic Courtès <[email-masked]>
Date: Sun, 08 Mar 2020 12:21:32 +0100

Maxim Cournoyer <[email-masked]> skribis:

> OK, I've managed to find the problem.  rpc.mountd daemonizes itself upon
> starting by default, which is not supported by Shepherd (at least not
> its `make-forkexec-constructor' procedure).  I had to pass the
> '--foreground' option to workaround this limitation (c.f.: commit
> 5fdc5b2d57d2e7ab04dbaf9c85e7f34eebe81495).

Great!  (I had replied earlier before seeing this message.)

> It'd be interesting to see what systemd does when a service is hinted as
> forking in its configuration file.  We should also document that
> limitation in the Shepherd info manual (see attached patch for
> Shepherd).

Good idea.  I pushed a slightly different version as Shepherd commit
3bc4a9c96c76abf78c76d71d42536e62ea173b21.

Thanks,
Ludo’.